/*****************************************************************************
** File:
**      LanguageJapanese.h
**
** Copyright (C) 2003-2004 Daniel Vik
**
**  This software is provided 'as-is', without any express or implied
**  warranty.  In no event will the authors be held liable for any damages
**  arising from the use of this software.
**
**  Permission is granted to anyone to use this software for any purpose,
**  including commercial applications, and to alter it and redistribute it
**  freely, subject to the following restrictions:
**
**  1. The origin of this software must not be misrepresented; you must not
**     claim that you wrote the original software. If you use this software
**     in a product, an acknowledgment in the product documentation would be
**     appreciated but is not required.
**  2. Altered source versions must be plainly marked as such, and must not be
**     misrepresented as being the original software.
**  3. This notice may not be removed or altered from any source distribution.
**
******************************************************************************
*/
#ifndef LANGUAGE_JAPANESE_H
#define LANGUAGE_JAPANESE_H

#include "LanguageEnglish.h"

class LanguageJapanese : public LanguageEnglish
{
public:
    LanguageJapanese() {
        genericOk                   = "OK";
        genericCancel               = "LZ";

        toolbarResume               = "Jn/s";
        toolbarPause                = "SĒ~";
        toolbarStop                 = "fobO~";
        toolbarRun                  = "X^[g";
        toolbarShowNext             = "̃Xe[gg\\";
        toolbarStepIn               = "Xebv C";
        toolbarStepOver             = "Xebv I[o[";
        toolbarStepOut              = "Xebv AEg";
        toolbarRunTo                = "J[\\܂Ŏs";
        toolbarBpToggle             = "uCN|Cg/";
        toolbarBpEnable             = "uCN|CgL/";
        toolbarBpEnableAll          = "uCN|CgSL";
        toolbarBpDisableAll         = "uCN|CgS";
        toolbarBpRemoveAll          = "uCN|CgS";

        menuFile                    = "t@C";
        menuFileLoadSymbolFile      = "V{t@C̃[h";
        menuFileSaveDisassembly     = "Save Disassembly";
        menuFileSaveMemory          = "Save Memory";
        menuFileExit                = "I";

        menuDebug                   = "fobO";
        menuDebugStart              = "Jn";
        menuDebugContinue           = "s";
        menuDebugBreakAll           = "SĒ~";
        menuDebugStop               = "fobO~";
        menuDebugRestart            = "X^[g";
        menuDebugStepIn             = "Xebv C";
        menuDebugStepOver           = "Xebv I[o[";
        menuDebugStepOut            = "Xebv AEg";
        menuDebugRunTo              = "J[\\܂Ŏs";
        menuDebugShowSymbols        = "V{\\";
        menuDebugGoto               = "ړ";
        menuDebugBpAdd              = "uCN|Cgǉ";
        menuDebugBpToggle           = "uCN|Cg̃Zbg/";
        menuDebugEnable             = "uCN|CgL/";
        menuDebugRemoveAll          = "uCN|CgS";
        menuDebugEnableAll          = "uCN|CgSL";
        menuDebugDisableAll         = "uCN|CgS";
        menuDebugShowAssemblyFlags  = "AZutbO\\";

        menuWindow                  = "EBhE";

        menuHelp                    = "wv";
        menuHelpAbout               = "fobKɂ";

        debuggerName                = "fobK";
        windowDebugger              = "blueMSX - fobK";
        windowDisassembly           = "tAZu";
        windowDisassemblyUnavail    = "Disassembly unavailable.";
        windowCpuRegisters          = "CPU WX^";
        windowCpuRegistersFlags     = "Flags";
        windowStack                 = "X^bN";
        windowStackUnavail          = "Stack unavailable.";
        windowCallstack             = "R[X^bN";
        windowCallstackUnavail      = "Callstack unavailable.";
        windowMemory                = "";
        windowPeripheralRegisters   = "Peripheral Registers";
        windowIoPorts               = "I/O Ports";

        memWindowRegisters          = "Registers:";

        memWindowMemory             = ":";
        memWindowAddress            = "AhX:";

        setBpWindowCaption          = "uCN|Cgǉ";
        gotoWindowCaption           = "AhXɈړ";
        gotoWindowText              = "AhX܂̓x:";

        symbolWindowCaption         = "V{t@C̃[h";
        symbolWindowText            = "V{̓ւ";
        
        popupOverwrite              = "File already exists. Do you want to overwrite it?";
        
        aboutBuilt                  = "rh:";
        aboutVisit                  = "ڂ http://www.bluemsx.com ܂";
    }
};

#endif //LANGUAGE_JAPANESE_H
